function ClaseNoAplica() {
    if(document.master.c1_tipo_tarifa_id.value=="N"){
	document.master.c2_codigo_id.value = "NA";
	document.master.v64_codigo.value = "NO APLICA";
    }
}
function GetClase(){
    var TipoClase = document.master.c1_tipo_tarifa_id.options[document.master.c1_tipo_tarifa_id.selectedIndex].text.toLowerCase();
    var TipoClases = TipoClase+"s";
    if(TipoClase==""){alert("Escojer el Tipo de Clase Primero");return}
    var GetBackStream	 = "c2_"+TipoClase+"_id|c2_codigo_id,v64_"+TipoClase+"|v64_codigo";
    parent.list.GetBack('LIST',TipoClases,GetBackStream,'parent.opener.parent.form.master',300,100,'','')    
}

////////////////////


function GetXmlHttpObject(handler){ 
    var objXmlHttp=null
    if (navigator.userAgent.indexOf("Opera")>=0){
	alert("This program doesn't work in Opera") 
	return 
    }
    if (navigator.userAgent.indexOf("MSIE")>=0){ 
	var strName="Msxml2.XMLHTTP"
	if (navigator.appVersion.indexOf("MSIE 5.5")>=0){
	    strName="Microsoft.XMLHTTP"
	} 
	try{ 
	    objXmlHttp=new ActiveXObject(strName)
	    objXmlHttp.onreadystatechange=handler 
	    return objXmlHttp
	}catch(e){ 
	    alert("Error. Scripting for ActiveX might be disabled") 
	    return 
	} 
    } 
    if (navigator.userAgent.indexOf("Mozilla")>=0){
	objXmlHttp=new XMLHttpRequest()
	objXmlHttp.onload=handler
	objXmlHttp.onerror=handler 
	return objXmlHttp
    }
}
var xmlHttpStream;
function stateChanged(){
    if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete"){ 
        xmlHttpStream=xmlHttp.responseText;
    } 
}

var xmlHttp1;
var xmlHttpStream1;

function capturar_usuario(){
       
    var appid = "RTM_v30";
    var lan = "es";
    
    var URL     = "../pl/capturar_usuario_id.pl?appid="+appid+"&lan="+lan+"";
     
    xmlHttp1	= GetXmlHttpObject(stateChangedCapturar);
    xmlHttp1.open("GET",URL,true) ;
    xmlHttp1.send(null);
}
function stateChangedCapturar(){
    if (xmlHttp1.readyState==4 || xmlHttp1.readyState=="complete"){ 
        xmlHttpStream1=xmlHttp1.responseText;
	//alert("la stream:"+xmlHttpStream1);
        if (xmlHttpStream1!="false" && xmlHttpStream1!=""){
           document.master.i8_user_id.value=xmlHttpStream1;
          // alert(document.master.i8_user_id.value);
        }
    } 
}


function actualizar_usuario(){
    
    var ultima_operacion=document.master.tmp_ultima_operacion.value;
    
    if(ultima_operacion!="remove"){
        return;
    }
    
    alert("Actualizando el usuario responsable de la eliminacion");
    
    var appid = "RTM_v30";
    var lan = "es";
    
    var i8_user_id      =document.master.i8_user_id.value;
    var i8_inmueble_id  =document.master.i8_inmueble_id.value;
    
    //alert("inmueble: "+i8_inmueble_id+" user:"+i8_user_id);
        
    var URL     = "../pl/inmueble_servicios_actualizar_user.pl?appid="+appid+"&lan="+lan+"&i8_user_id="+i8_user_id+"&i8_inmueble_id="+i8_inmueble_id+"";;
    
    //alert (URL) ;
    xmlHttp1	= GetXmlHttpObject(stateChangedActualizar);
    xmlHttp1.open("GET",URL,true) ;
    xmlHttp1.send(null);
}
function stateChangedActualizar(){
    if (xmlHttp1.readyState==4 || xmlHttp1.readyState=="complete"){ 
        //xmlHttpStream1=xmlHttp1.responseText;
        //alert("la stream:"+xmlHttpStream1);
        if (xmlHttpStream1!="true"){
           //alert("el usuario que realizo la operacion ha sido registrado ");
            //alert("error al intentar actualizar usuario que elimina registro: "+xmlHttpStream1);
        }
    } 
}
///////////////////

function captura_temporal(ultima_operacion){
    
    document.master.tmp_ultima_operacion.value      = ultima_operacion;
    capturar_usuario();
 
    //alert("tipo_nivel :"+document.master.tmp_i2_tipo_nivel_id.value);
}

function mostrar(){
var i8_user_id      =document.master.i8_user_id.value;
//alert(document.master.c1_tipo_tarifa_id.value+" "+document.master.c2_codigo_id.value);
}